//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Shader Graphs/FullscreenDistortion" {
    Properties {
        _Intensity_Map ("Intensity Map", 2D) = "white" { }
        _Intensity ("Intensity", Float) = 0.1
        _Normal_Map ("Normal Map", 2D) = "bump" { }
        _Scroll ("Scroll", Vector) = (0,0,0,0)
        _Intervals ("Intervals", Float) = 0.1
        [KeywordEnum(None, Normal, Additive)] _BLENDING ("Blending", Float) = 0
        _Opacity ("Opacity", Float) = 1
        unity_Lightmaps ("unity_Lightmaps", 2DArray) = "" { }
        unity_LightmapsInd ("unity_LightmapsInd", 2DArray) = "" { }
        unity_ShadowMasks ("unity_ShadowMasks", 2DArray) = "" { }
    }
    SubShader {
        Tags { "RenderPipeline" = "UniversalPipeline" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalFullscreenSubTarget" }
        Pass {
            Name "DrawProcedural"
            Tags { "RenderPipeline" = "UniversalPipeline" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalFullscreenSubTarget" }
            ZTest Off
            ZWrite Off
            Cull Off
            GpuProgramID 5432
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    Keywords { "_BLENDING_NONE" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixInvVP[4];
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    vec4 u_xlat0;
                    uvec3 u_xlatu0;
                    vec4 u_xlat1;
                    bool u_xlatb6;
                    int int_bitfieldInsert(int base, int insert, int offset, int bits) {
                        uint mask = ~(uint(0xffffffffu) << uint(bits)) << uint(offset);
                        return int((uint(base) & ~mask) | ((uint(insert) << uint(offset)) & mask));
                    }
                    
                    void main()
                    {
                        gl_Position.zw = vec2(-1.0, 1.0);
                        u_xlatu0.x =  uint(int(int_bitfieldInsert(0, gl_VertexID, 1 & int(0x1F), 1)));
                        u_xlatu0.z = uint(uint(gl_VertexID) & 2u);
                        u_xlat0.xy = vec2(u_xlatu0.xz);
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        gl_Position.xy = u_xlat0.xy;
                        u_xlat1.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat1.z = float(-0.5);
                        u_xlat1.w = float(0.5);
                        vs_INTERP0 = u_xlat1 + vec4(0.5, 0.5, 0.5, 0.5);
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixInvVP[1];
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixInvVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = u_xlat0 + (-hlslcc_mtx4x4unity_MatrixInvVP[2]);
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixInvVP[3];
                        u_xlat0.xyz = u_xlat0.xyz / u_xlat0.www;
                        u_xlat0.xyz = (-u_xlat0.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlatb6 = unity_OrthoParams.w==0.0;
                        vs_INTERP1.x = (u_xlatb6) ? u_xlat0.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        vs_INTERP1.y = (u_xlatb6) ? u_xlat0.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        vs_INTERP1.z = (u_xlatb6) ? u_xlat0.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        vs_INTERP1.w = 0.0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    uniform 	vec4 _ScreenSize;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Normal_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Normal_Map_ST;
                    	UNITY_UNIFORM float                _Intensity;
                    	UNITY_UNIFORM vec2                _Scroll;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Intensity_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Intensity_Map_ST;
                    	UNITY_UNIFORM float                _Intervals;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Opacity;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _Normal_Map;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Intensity_Map;
                    UNITY_LOCATION(2) uniform mediump sampler2D _BlitTexture;
                    in highp vec4 vs_INTERP0;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    uvec4 u_xlatu0;
                    vec2 u_xlat2;
                    void main()
                    {
                        u_xlat0.x = _TimeParameters.x / _Intervals;
                        u_xlat0.x = floor(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x * _Intervals;
                        u_xlat0.xy = u_xlat0.xx * vec2(_Scroll.x, _Scroll.y) + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy * _Normal_Map_ST.xy + _Normal_Map_ST.zw;
                        u_xlat0.xyz = texture(_Normal_Map, u_xlat0.xy, _GlobalMipBias.x).xyw;
                        u_xlat0.x = u_xlat0.x * u_xlat0.z;
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        u_xlat2.xy = vs_INTERP0.xy * _Intensity_Map_ST.xy + _Intensity_Map_ST.zw;
                        u_xlat2.x = texture(_Intensity_Map, u_xlat2.xy, _GlobalMipBias.x).x;
                        u_xlat0.xy = u_xlat0.xy * u_xlat2.xx;
                        u_xlat2.x = _Intensity * 0.100000001;
                        u_xlat0.xy = u_xlat2.xx * u_xlat0.xy + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy + vec2(1.0, 1.0);
                        u_xlat0.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat0.xy = fract(u_xlat0.xy);
                        u_xlat0.xy = u_xlat0.xy + vec2(-0.5, -0.5);
                        u_xlat0.xy = u_xlat0.xy + u_xlat0.xy;
                        u_xlat0.xy = abs(u_xlat0.xy) * _ScreenSize.xy;
                        u_xlatu0.xy = uvec2(u_xlat0.xy);
                        u_xlatu0.z = uint(uint(0u));
                        u_xlatu0.w = uint(uint(0u));
                        u_xlat0.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu0.xy), int(u_xlatu0.w)).xyz;
                        SV_TARGET0.xyz = u_xlat0.xyz;
                        SV_TARGET0.w = 1.0;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_BLENDING_NORMAL" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixInvVP[4];
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    vec4 u_xlat0;
                    uvec3 u_xlatu0;
                    vec4 u_xlat1;
                    bool u_xlatb6;
                    int int_bitfieldInsert(int base, int insert, int offset, int bits) {
                        uint mask = ~(uint(0xffffffffu) << uint(bits)) << uint(offset);
                        return int((uint(base) & ~mask) | ((uint(insert) << uint(offset)) & mask));
                    }
                    
                    void main()
                    {
                        gl_Position.zw = vec2(-1.0, 1.0);
                        u_xlatu0.x =  uint(int(int_bitfieldInsert(0, gl_VertexID, 1 & int(0x1F), 1)));
                        u_xlatu0.z = uint(uint(gl_VertexID) & 2u);
                        u_xlat0.xy = vec2(u_xlatu0.xz);
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        gl_Position.xy = u_xlat0.xy;
                        u_xlat1.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat1.z = float(-0.5);
                        u_xlat1.w = float(0.5);
                        vs_INTERP0 = u_xlat1 + vec4(0.5, 0.5, 0.5, 0.5);
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixInvVP[1];
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixInvVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = u_xlat0 + (-hlslcc_mtx4x4unity_MatrixInvVP[2]);
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixInvVP[3];
                        u_xlat0.xyz = u_xlat0.xyz / u_xlat0.www;
                        u_xlat0.xyz = (-u_xlat0.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlatb6 = unity_OrthoParams.w==0.0;
                        vs_INTERP1.x = (u_xlatb6) ? u_xlat0.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        vs_INTERP1.y = (u_xlatb6) ? u_xlat0.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        vs_INTERP1.z = (u_xlatb6) ? u_xlat0.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        vs_INTERP1.w = 0.0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    uniform 	vec4 _ScreenSize;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Normal_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Normal_Map_ST;
                    	UNITY_UNIFORM float                _Intensity;
                    	UNITY_UNIFORM vec2                _Scroll;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Intensity_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Intensity_Map_ST;
                    	UNITY_UNIFORM float                _Intervals;
                    	UNITY_UNIFORM float                _Opacity;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _Normal_Map;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Intensity_Map;
                    UNITY_LOCATION(2) uniform mediump sampler2D _BlitTexture;
                    in highp vec4 vs_INTERP0;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    uvec4 u_xlatu0;
                    vec3 u_xlat1;
                    uvec4 u_xlatu1;
                    vec2 u_xlat4;
                    void main()
                    {
                        u_xlat0.x = _TimeParameters.x / _Intervals;
                        u_xlat0.x = floor(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x * _Intervals;
                        u_xlat0.xy = u_xlat0.xx * vec2(_Scroll.x, _Scroll.y) + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy * _Normal_Map_ST.xy + _Normal_Map_ST.zw;
                        u_xlat0.xyz = texture(_Normal_Map, u_xlat0.xy, _GlobalMipBias.x).xyw;
                        u_xlat0.x = u_xlat0.x * u_xlat0.z;
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        u_xlat4.xy = vs_INTERP0.xy * _Intensity_Map_ST.xy + _Intensity_Map_ST.zw;
                        u_xlat4.x = texture(_Intensity_Map, u_xlat4.xy, _GlobalMipBias.x).x;
                        u_xlat0.xy = u_xlat0.xy * u_xlat4.xx;
                        u_xlat4.x = _Intensity * 0.100000001;
                        u_xlat0.xy = u_xlat4.xx * u_xlat0.xy + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy + vec2(1.0, 1.0);
                        u_xlat0.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat0.xy = fract(u_xlat0.xy);
                        u_xlat0.xy = u_xlat0.xy + vec2(-0.5, -0.5);
                        u_xlat0.xy = u_xlat0.xy + u_xlat0.xy;
                        u_xlat0.xy = abs(u_xlat0.xy) * _ScreenSize.xy;
                        u_xlatu0.xy = uvec2(u_xlat0.xy);
                        u_xlatu0.z = uint(uint(0u));
                        u_xlatu0.w = uint(uint(0u));
                        u_xlat0.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu0.xy), int(u_xlatu0.w)).xyz;
                        u_xlat1.xy = vs_INTERP0.xy * _ScreenSize.xy;
                        u_xlatu1.xy = uvec2(u_xlat1.xy);
                        u_xlatu1.z = uint(uint(0u));
                        u_xlatu1.w = uint(uint(0u));
                        u_xlat1.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu1.xy), int(u_xlatu1.w)).xyz;
                        u_xlat0.xyz = u_xlat0.xyz + (-u_xlat1.xyz);
                        SV_TARGET0.xyz = vec3(vec3(_Opacity, _Opacity, _Opacity)) * u_xlat0.xyz + u_xlat1.xyz;
                        SV_TARGET0.w = 1.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "Blit"
            Tags { "RenderPipeline" = "UniversalPipeline" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalFullscreenSubTarget" }
            ZTest Off
            ZWrite Off
            Cull Off
            GpuProgramID 92155
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    Keywords { "_BLENDING_NONE" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixInvVP[4];
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    vec4 u_xlat0;
                    int u_xlati0;
                    uvec2 u_xlatu0;
                    vec4 u_xlat1;
                    bool u_xlatb6;
                    void main()
                    {
                        u_xlati0 = int(uint(uint(gl_VertexID) & 1u));
                        u_xlatu0.y = uint(uint(gl_VertexID) >> (1u & uint(0x1F)));
                        u_xlati0 = (-u_xlati0) + (-int(u_xlatu0.y));
                        u_xlati0 = u_xlati0 + 1;
                        u_xlatu0.x = uint(uint(u_xlati0) & 1u);
                        u_xlat1.xy = vec2(u_xlatu0.yx);
                        u_xlat0.xy = u_xlat1.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        gl_Position.xy = u_xlat0.xy;
                        gl_Position.zw = vec2(-1.0, 1.0);
                        u_xlat1.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat1.z = float(-0.5);
                        u_xlat1.w = float(0.5);
                        vs_INTERP0 = u_xlat1 + vec4(0.5, 0.5, 0.5, 0.5);
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixInvVP[1];
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixInvVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = u_xlat0 + (-hlslcc_mtx4x4unity_MatrixInvVP[2]);
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixInvVP[3];
                        u_xlat0.xyz = u_xlat0.xyz / u_xlat0.www;
                        u_xlat0.xyz = (-u_xlat0.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlatb6 = unity_OrthoParams.w==0.0;
                        vs_INTERP1.x = (u_xlatb6) ? u_xlat0.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        vs_INTERP1.y = (u_xlatb6) ? u_xlat0.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        vs_INTERP1.z = (u_xlatb6) ? u_xlat0.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        vs_INTERP1.w = 0.0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    uniform 	vec4 _ScreenSize;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Normal_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Normal_Map_ST;
                    	UNITY_UNIFORM float                _Intensity;
                    	UNITY_UNIFORM vec2                _Scroll;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Intensity_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Intensity_Map_ST;
                    	UNITY_UNIFORM float                _Intervals;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Opacity;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _Normal_Map;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Intensity_Map;
                    UNITY_LOCATION(2) uniform mediump sampler2D _BlitTexture;
                    in highp vec4 vs_INTERP0;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    uvec4 u_xlatu0;
                    vec2 u_xlat2;
                    void main()
                    {
                        u_xlat0.x = _TimeParameters.x / _Intervals;
                        u_xlat0.x = floor(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x * _Intervals;
                        u_xlat0.xy = u_xlat0.xx * vec2(_Scroll.x, _Scroll.y) + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy * _Normal_Map_ST.xy + _Normal_Map_ST.zw;
                        u_xlat0.xyz = texture(_Normal_Map, u_xlat0.xy, _GlobalMipBias.x).xyw;
                        u_xlat0.x = u_xlat0.x * u_xlat0.z;
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        u_xlat2.xy = vs_INTERP0.xy * _Intensity_Map_ST.xy + _Intensity_Map_ST.zw;
                        u_xlat2.x = texture(_Intensity_Map, u_xlat2.xy, _GlobalMipBias.x).x;
                        u_xlat0.xy = u_xlat0.xy * u_xlat2.xx;
                        u_xlat2.x = _Intensity * 0.100000001;
                        u_xlat0.xy = u_xlat2.xx * u_xlat0.xy + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy + vec2(1.0, 1.0);
                        u_xlat0.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat0.xy = fract(u_xlat0.xy);
                        u_xlat0.xy = u_xlat0.xy + vec2(-0.5, -0.5);
                        u_xlat0.xy = u_xlat0.xy + u_xlat0.xy;
                        u_xlat0.xy = abs(u_xlat0.xy) * _ScreenSize.xy;
                        u_xlatu0.xy = uvec2(u_xlat0.xy);
                        u_xlatu0.z = uint(uint(0u));
                        u_xlatu0.w = uint(uint(0u));
                        u_xlat0.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu0.xy), int(u_xlatu0.w)).xyz;
                        SV_TARGET0.xyz = u_xlat0.xyz;
                        SV_TARGET0.w = 1.0;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_BLENDING_NORMAL" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixInvVP[4];
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    vec4 u_xlat0;
                    int u_xlati0;
                    uvec2 u_xlatu0;
                    vec4 u_xlat1;
                    bool u_xlatb6;
                    void main()
                    {
                        u_xlati0 = int(uint(uint(gl_VertexID) & 1u));
                        u_xlatu0.y = uint(uint(gl_VertexID) >> (1u & uint(0x1F)));
                        u_xlati0 = (-u_xlati0) + (-int(u_xlatu0.y));
                        u_xlati0 = u_xlati0 + 1;
                        u_xlatu0.x = uint(uint(u_xlati0) & 1u);
                        u_xlat1.xy = vec2(u_xlatu0.yx);
                        u_xlat0.xy = u_xlat1.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        gl_Position.xy = u_xlat0.xy;
                        gl_Position.zw = vec2(-1.0, 1.0);
                        u_xlat1.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat1.z = float(-0.5);
                        u_xlat1.w = float(0.5);
                        vs_INTERP0 = u_xlat1 + vec4(0.5, 0.5, 0.5, 0.5);
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixInvVP[1];
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixInvVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = u_xlat0 + (-hlslcc_mtx4x4unity_MatrixInvVP[2]);
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixInvVP[3];
                        u_xlat0.xyz = u_xlat0.xyz / u_xlat0.www;
                        u_xlat0.xyz = (-u_xlat0.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlatb6 = unity_OrthoParams.w==0.0;
                        vs_INTERP1.x = (u_xlatb6) ? u_xlat0.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        vs_INTERP1.y = (u_xlatb6) ? u_xlat0.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        vs_INTERP1.z = (u_xlatb6) ? u_xlat0.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        vs_INTERP1.w = 0.0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    uniform 	vec4 _ScreenSize;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Normal_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Normal_Map_ST;
                    	UNITY_UNIFORM float                _Intensity;
                    	UNITY_UNIFORM vec2                _Scroll;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Intensity_Map_TexelSize;
                    	UNITY_UNIFORM vec4                _Intensity_Map_ST;
                    	UNITY_UNIFORM float                _Intervals;
                    	UNITY_UNIFORM float                _Opacity;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _Normal_Map;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Intensity_Map;
                    UNITY_LOCATION(2) uniform mediump sampler2D _BlitTexture;
                    in highp vec4 vs_INTERP0;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    uvec4 u_xlatu0;
                    vec3 u_xlat1;
                    uvec4 u_xlatu1;
                    vec2 u_xlat4;
                    void main()
                    {
                        u_xlat0.x = _TimeParameters.x / _Intervals;
                        u_xlat0.x = floor(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x * _Intervals;
                        u_xlat0.xy = u_xlat0.xx * vec2(_Scroll.x, _Scroll.y) + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy * _Normal_Map_ST.xy + _Normal_Map_ST.zw;
                        u_xlat0.xyz = texture(_Normal_Map, u_xlat0.xy, _GlobalMipBias.x).xyw;
                        u_xlat0.x = u_xlat0.x * u_xlat0.z;
                        u_xlat0.xy = u_xlat0.xy * vec2(2.0, 2.0) + vec2(-1.0, -1.0);
                        u_xlat4.xy = vs_INTERP0.xy * _Intensity_Map_ST.xy + _Intensity_Map_ST.zw;
                        u_xlat4.x = texture(_Intensity_Map, u_xlat4.xy, _GlobalMipBias.x).x;
                        u_xlat0.xy = u_xlat0.xy * u_xlat4.xx;
                        u_xlat4.x = _Intensity * 0.100000001;
                        u_xlat0.xy = u_xlat4.xx * u_xlat0.xy + vs_INTERP0.xy;
                        u_xlat0.xy = u_xlat0.xy + vec2(1.0, 1.0);
                        u_xlat0.xy = u_xlat0.xy * vec2(0.5, 0.5);
                        u_xlat0.xy = fract(u_xlat0.xy);
                        u_xlat0.xy = u_xlat0.xy + vec2(-0.5, -0.5);
                        u_xlat0.xy = u_xlat0.xy + u_xlat0.xy;
                        u_xlat0.xy = abs(u_xlat0.xy) * _ScreenSize.xy;
                        u_xlatu0.xy = uvec2(u_xlat0.xy);
                        u_xlatu0.z = uint(uint(0u));
                        u_xlatu0.w = uint(uint(0u));
                        u_xlat0.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu0.xy), int(u_xlatu0.w)).xyz;
                        u_xlat1.xy = vs_INTERP0.xy * _ScreenSize.xy;
                        u_xlatu1.xy = uvec2(u_xlat1.xy);
                        u_xlatu1.z = uint(uint(0u));
                        u_xlatu1.w = uint(uint(0u));
                        u_xlat1.xyz = texelFetch(_BlitTexture, ivec2(u_xlatu1.xy), int(u_xlatu1.w)).xyz;
                        u_xlat0.xyz = u_xlat0.xyz + (-u_xlat1.xyz);
                        SV_TARGET0.xyz = vec3(vec3(_Opacity, _Opacity, _Opacity)) * u_xlat0.xyz + u_xlat1.xyz;
                        SV_TARGET0.w = 1.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
    }
Fallback "Hidden/Shader Graph/FallbackError"
CustomEditor "UnityEditor.Rendering.Fullscreen.ShaderGraph.FullscreenShaderGUI"
}